Item Logo
Wms apiApi referenceInventory query api

Inventory Lot# Level Query

Inventory Lot# Level Query API

Inventory Lot# Level Query API is used to retrieve detailed information about specific inventory lots within a warehouse. This article introduces the general Inventory Lot# Level Query API for easily understanding and applying this API.

Introduction

Inventory Lot# Level Query API allows users to search by lot number to find data such as the quantities available, item status of the lots in the warehouse. It’s particularly important for business managing perishable goods or items that require strict lot control for traceability and compliance purposes. This API supports better visibility and accuracy in inventory management at the lot level.

API Request

API: POST /edi/inventory/lotno-level/search-by-paging Body Request:

Body Parameter

Required

Description

Note

FacilityID

Y

Facility ID

"889"

CustomerID

Y

Customer ID

"AUKINT0001"

CompanyID

Y

Company ID

"LT"

Paging

N

Page Object

"PageNo": 2

API Return

It returns the inventory summary with the item info, for more detail, please refer to the following example.

Example

Request

json { "FacilityID":"889", "CustomerID":"AUKINT0001", "CompanyID":"LT", "Paging": { "PageNo": 2 } }

Response

json // Success return { "results": { "head": [ "Item ID", "Short Description", "Description", "Customer", "LotNo", "Title", "Qty", "UOM" ], "data": [] }, "paging": { "totalCount": 0, "pageNo": 1, "totalPage": 0, "startIndex": 1, "endIndex": 0, "limit": 100 } }